(function(win, doc){

/*
 * HuJiang Class Player
*/

var HCP = win.HCP = (win.HCP || 
{ 
	window: win,
	browser: {
		ua: navigator.userAgent,
		ios: /iphone|ipad|ipod/i.test(this.ua),
		android: /android/i.test(this.ua)
	},

	$: function(id){
		return document.getElementById(id);
	},

	$C: function(className, parent){
		return (parent || document).getElementsByClassName(className);
	},

	mix: function(obj, props, strict){
		for(var key in props) {
			if(!strict || obj.hasOwnProperty(key) || obj[key] !== undefined)
			{
				obj[key] = props[key];
			} 
		}
		return obj;
	}

});

})(window, document);

