//智能学习课程单元信息表
CREATE TABLE IF NOT EXISTS tlesson_unit (_id INTEGER PRIMARY KEY AUTOINCREMENT, user_id VARCHAR, class_id VARCHAR, unit_id VARCHAR, unit_name VARCHAR);

//智能学习课程课节表
CREATE TABLE IF NOT EXISTS tlesson_section (_id INTEGER PRIMARY KEY AUTOINCREMENT, user_id VARCHAR, class_id VARCHAR, unit_id VARCHAR, section_id VARCHAR, section_type VARCHAR, section_name VARCHAR, main_task_id VARCHAR, section_item_ids VARCHAR, is_enabled VARCHAR);

//智能学习课程课节条目表
CREATE TABLE IF NOT EXISTS tlesson_section_item (_id INTEGER PRIMARY KEY AUTOINCREMENT, user_id VARCHAR, class_id VARCHAR, section_item_id VARCHAR, section_item_name VARCHAR, section_item_type VARCHAR, section_item_status VARCHAR, section_item_key VARCHAR, section_item_link VARCHAR, section_item_summary VARCHAR, section_item_task_id VARCHAR, section_item_content_id VARCHAR);

//智能学习课程强化包表
CREATE TABLE IF NOT EXISTS tintensive_package (_id INTEGER PRIMARY KEY AUTOINCREMENT, user_id VARCHAR, class_id VARCHAR, intensive_package_id VARCHAR, intensive_package_name VARCHAR, section_id VARCHAR, section_item_ids VARCHAR, create_time VARCHAR, is_new VARCHAR);

//智能学习课程任务表
CREATE TABLE IF NOT EXISTS tclass_task_tructure (_id INTEGER PRIMARY KEY AUTOINCREMENT, user_id VARCHAR, class_id VARCHAR, section_ids VARCHAR, is_submit VARCHAR, is_all_finish VARCHAR, cover_icon VARCHAR, finished_task_student_count VARCHAR, complete_task_student VARCHAR, complete_task_info VARCHAR);

//新增是否显示作业字段
ALTER TABLE tclass ADD show_job VARCHAR DEFAULT 'true';

//新增是否显示答疑字段
ALTER TABLE tclass ADD show_question VARCHAR DEFAULT 'true';

//新增是否请假字段
ALTER TABLE tclass ADD is_leave VARCHAR DEFAULT 'false';