ALTER TABLE tclass ADD task_icons VARCHAR;
ALTER TABLE tclass ADD is_task_class VARCHAR;
ALTER TABLE tclass ADD header_teacher VARCHAR;
ALTER TABLE tclass ADD tutor VARCHAR;
ALTER TABLE tclass ADD finished_task_student_count VARCHAR;
ALTER TABLE tclass ADD tutor VARCHAR;
ALTER TABLE tlesson_info ADD lesson_incidental_list VARCHAR;

//学习报告
CREATE TABLE IF NOT EXISTS tstudy_info(
                        _id                 INTEGER PRIMARY KEY AUTOINCREMENT,
                        user_id             VARCHAR,
                        class_id            INTEGER,
                        study_progress      INTEGER,
                        study_day           INTEGER,
                        finished_task       VARCHAR,
                        finished_lesson     VARCHAR,
                        finished_exercise   VARCHAR,
                        finished_correct    VARCHAR,
                        daily_sentence      VARCHAR,
                        cover_icon          VARCHAR,
                        translations        VARCHAR,
                        growth_value        VARCHAR
                        );
//新建学习任务表
CREATE TABLE IF NOT EXISTS tclass_task(
                        _id              INTEGER PRIMARY KEY AUTOINCREMENT,
                        class_id         VARCHAR,
                        user_id          VARCHAR,
                        task_info        VARCHAR,
                        is_submit        VARCHAR
                        );

//完成任务的同学
CREATE TABLE IF NOT EXISTS tcompleted_task_info(
                        _id              INTEGER PRIMARY KEY AUTOINCREMENT,
                        user_id          VARCHAR,
                        user_name        VARCHAR,
                        user_icon        VARCHAR,
                        class_id         VARCHAR,
                        task_id          VARCHAR,
                        is_finished      VARCHAR,
                        TmpUserId        INTEGER,
                        is_submit        INTEGER,
                        praise_count     VARCHAR,
                        is_can_praise    VARCHAR,
                        submit_date      VARCHAR
                        );
